> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Finity integration.

> Create Finity integration to configure the connection with the Finity account.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/finity
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/finity:
    put:
      tags:
        - Integrations Config
      summary: Setup Finity integration.
      description: >-
        Create Finity integration to configure the connection with the Finity
        account.
      operationId: IntegrationsConfigController_setupFinityIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinitySetupDto'
      responses:
        '202':
          description: Organization Finity integration data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationConfigEntity'
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    FinitySetupDto:
      type: object
      properties:
        clientId:
          type: string
          minLength: 10
          maxLength: 64
          description: The clientId for authentication.
          example: >-
            m2m-client-test-2b27da12-497a-a42f-9821-abcd-0a1234567 for Finity or
            Fk5DU28t9m0DAr0YFstsHDX8Aoxlwm2M for Trace Finance
        clientSecret:
          type: string
          minLength: 10
          maxLength: 64
          description: The clientSecret for authentication.
          example: >-
            ad0b2a2190dde067f3fd5a523f1c2aen for Finity or
            _Cgnl6T0FfZWc6zrO5c6TkG09y0n45aMAIcl1nmNITBOEqGHo4CDka-tBBnQwjaK for
            Trace Finance
      required:
        - clientId
        - clientSecret
    IntegrationConfigEntity:
      type: object
      properties:
        provider:
          allOf:
            - $ref: '#/components/schemas/IntegrationProvider'
        integrationNetworkAddresses:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationNetworkAddressEntity'
      required:
        - provider
    IntegrationProvider:
      type: string
      enum:
        - Standalone
        - MultiProvider
        - Dfns
        - Utila
        - Bridge
        - Koywe
        - Kotanipay
        - Manual
        - Blockchain
        - Hercle
        - Bitso
        - Yellowcard
        - TraceFinance
        - HoneyCoin
        - BlindPay
        - Finity
        - Ares
        - Infinia
        - Walapay
        - Abra
        - Yativo
        - Capa
        - Bivo
        - Cobre
        - Brale
        - Onmeta
        - Mastercard
        - Alfred
        - Tazapay
        - Demo
        - CrissCross
        - TripleA
        - Pockyt
    IntegrationNetworkAddressEntity:
      type: object
      properties:
        network:
          allOf:
            - $ref: '#/components/schemas/NetworkId'
        address:
          type: string
      required:
        - network
        - address
    NetworkId:
      type: string
      enum:
        - POLYGON
        - ETHEREUM
        - TRON
        - BASE
        - OPTIMISM
        - BITCOIN
        - SOLANA
        - CELO
      description: The blockchain the destination address lives on.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.